Services
Create Service
Create or update a service definition.
PUT
/
v1
/
sprites
/
{name}
/
services
/
{service_name}
Create Service
curl --request PUT \
--url https://api.sprites.dev/v1/sprites/{name}/services/{service_name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"args": [
"-m",
"http.server",
"8000"
],
"cmd": "python",
"http_port": 8000,
"needs": [
"postgres"
]
}
'import requests
url = "https://api.sprites.dev/v1/sprites/{name}/services/{service_name}"
payload = {
"args": ["-m", "http.server", "8000"],
"cmd": "python",
"http_port": 8000,
"needs": ["postgres"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
args: ['-m', 'http.server', '8000'],
cmd: 'python',
http_port: 8000,
needs: ['postgres']
})
};
fetch('https://api.sprites.dev/v1/sprites/{name}/services/{service_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"args": [
"-m",
"http.server",
"8000"
],
"cmd": "python",
"http_port": 8000,
"name": "webapp",
"needs": [
"postgres"
],
"state": {
"name": "webapp",
"started_at": "2026-01-05T10:30:00Z",
"status": "starting"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Time to monitor logs after starting (default: 5s)
Body
application/json
Response
Success
Command arguments
Command to execute
Service name
Service dependencies
HTTP port for proxy routing
Current runtime state
Show child attributes
Show child attributes
Example:
{
"name": "webapp",
"pid": 1567,
"started_at": "2026-01-05T08:01:00Z",
"status": "running"
}
⌘I
Create Service
